"""Regex filters for various content types."""
import re

invites = re.compile(
    r"(?:discord.?(?:gg|io|me|li)|discord(?:app)?.?com/(?:invite))/([^\s/]+?)(?=\b)",
    flags=re.IGNORECASE,
)

custom_emote = re.compile(r"<:\w+:(\d+)>$", flags=re.IGNORECASE)

valid_text = re.compile(r"[\w\s\-\\/.!@#$%^*()+=<>,\u0080-\U000E0FFF]*", flags=re.IGNORECASE)

url = re.compile(
    r"https?:\/\/(www\.)?[-a-z0-9@:%._\+~#=]{1,256}\.[a-z0-9()]{1,6}\b([-a-z0-9()@:%_\+.~#?&//=]*)",
    flags=re.IGNORECASE,
)
