"""JARVIS logging helper."""
import logging
from typing import Optional

NORMAL_FORMAT = "[%(asctime)s] [%(levelname)8s] %(message)s"
DEBUG_FORMAT = "[%(asctime)s] [%(levelname)8s] [%(filename)s:%(lineno)-3.3s] %(message)s"


def get_logger(name: str, fmt: Optional[str] = NORMAL_FORMAT) -> logging.Logger:
    """
    Get a pre-configured logger

    Args:
        name: Name of the logger
    """
    logger = logging.getLogger(name)
    formatter = logging.Formatter(fmt)
    handler = logging.StreamHandler()
    handler.setFormatter(formatter)
    logger.addHandler(handler)
    return logger
